
extdesc="the Music Affect Recommender System (MARS) Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GSDLHOME" = "x" ] ; then
  if [ -e ../../gs3-setup.sh ] ; then
    export gsopt_noexts=1 && pushd ../.. && source ./gs3-setup.sh && popd 
    export gsopt_noexts=
  elif [ -e ../../setup.bash ] ; then
    export gsopt_noexts=1 && pushd ../.. && source ./setup.bash && popd 
    export gsopt_noexts=
  else
    # backstop
    GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
    # check for running bash under cygwin
    if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ; then
      GSDLOS=windows
    fi 

  fi
fi

if [ "x$GEXT_MARS" = "x" ] ; then
  export GEXT_MARS=$fulldir
  export GEXT_MARS_INSTALLED=$GEXT_MARS/$GSDLOS
#  export GEXT_MARS_LIBJAVA=$GEXT_MARS/lib/java


  export PATH=$GEXT_MARS_INSTALLED/bin:$GEXT_MARS/bin/script:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib:$LD_LIBRARY_PATH
  fi
  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
    export DYLD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib
  else
    export DYLD_LIBRARY_PATH=$GEXT_MARS_INSTALLED/lib:$DYLD_LIBRARY_PATH
  fi
 if [ "x$PKG_CONFIG_PATH" = "x" ] ; then
    export PKG_CONFIG_PATH=$GEXT_MARS_INSTALLED/pkgconfig
  else
    export PKG_CONFIG_PATH=$GEXT_MARS_INSTALLED/pkgconfig:$PKG_CONFIG_PATH
  fi

  extdir=${GEXT_MARS##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi

  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
